### Function

# Fwupd Device flag_to_string

#### Declaration [src]

    const gchar*
    fwupd_device_flag_to_string (
      FwupdDeviceFlags device_flag
    )

#### Description [src]

Converts a device flag to a string.

Available since: | 0.7.0

#### Parameters

`device_flag` | `FwupdDeviceFlags`
| A device flag, e.g. `FWUPD_DEVICE_FLAG_REQUIRE_AC`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.